----------------------------------------------------------------------------------------------------
Events = 
{
	ClickEvent = 0,
	HintEvent = 1,
}

Education =
{
	{
		iGroup = 0;
		hintPos = {850, 527},
		eventType = Events.HintEvent,
		hintName = '_4hintEdu_2',
		startTime = 0.1,
	},
	
	{
		iGroup = 0;
		hintPos = {438+175, 700},
		eventType = Events.HintEvent,
		hintName = '_4hintEdu_3',
		startTime = 0.1
	},
	
	{
		iGroup = 0;
		hintPos = {520, 710},
		eventType = Events.HintEvent,
		hintName = '_4hintEdu_4',
		startTime = 0.1,
	},

	{
		iGroup = 0,
		hintPos = {540, 360},
		eventType = Events.ClickEvent,
		hintName = '_4hintEdu_7',
		startTime = 3.0,
		lock=1,
	},


}

----------------------------------------------------------------------------------------------------

hintType = {}

hintType.bottomRight	= 0
hintType.bottomLeft		= 1
hintType.topRight		= 2
hintType.topLeft		= 3

emptyObj = nil

function copy(obj, template)
	obj = {}
	for key, value in pairs(template) do
		if(type(value) == 'table') then
			obj[key] = copy(obj[key], template[key])
		else
			obj[key] = value
		end 
	end
	
	return obj
end

hintCorners = 
{
	Image = "Icons.jpg",
	Animation  =
	{        
		FramesList =
		{	
			{553, 398, 602, 453}
		}
	}
};

FirstHint = 
{
	--hint window settings
	isClickable = 1,
	delay=0,
	windowStyle =
	{
		SrcRect          = {0, 313, 152, 465},
		Image            = "Icons.jpg",
		WinSize          = {220, 120},
		AngleScrSize     = {25, 25},
	},
	--character's name
	text = 
	{
		name			= "text",
		dataType		= "text",
		Caption 		= "super hint text",
		Font			= "font05.fnt",
		TextArea		= {0, 22, 220, 32},
		Colour			= {0, 0.0941, 0.27843, 1},
		SRatio 			= 0.78,
		HRatio 			= 0.8,
--		HAlign			= "center",
		VAlign			= "top",
		SizeW			= 1,
		SizeH			= 1,
	},
	
	hyperLink = 
	{
		name			= "hyperLink",
		dataType		= "text",
		Caption 		= "ClickToContinue",
		Font			= "font05.fnt",
		TextArea		= {30, 22, 220, 32},
		Colour			= {0.455, 0.587, 0.587, 1},
		SRatio 			= 0.75,
		HRatio 			= 0.8,
		--HAlign			= "center",
		VAlign			= "center",
		SizeW			= 0.8,
		SizeH			= 0.8,
	},
}

stepx=30
stepy=25

_4hintEdu_2 = {}
_4hintEdu_2.data = copy(emptyObj, FirstHint)
_4hintEdu_2.data.windowStyle.WinSize = {320, 100}
_4hintEdu_2.data.text.TextArea = {stepx, stepy, _4hintEdu_2.data.windowStyle.WinSize[1]-stepx, _4hintEdu_2.data.windowStyle.WinSize[2]-15}
_4hintEdu_2.data.text.Caption = '_4hintEdu_2'
_4hintEdu_2.data.isClickable = 0

_4hintEdu_3 = {}
_4hintEdu_3.data = copy(emptyObj, FirstHint)
_4hintEdu_3.data.windowStyle.WinSize = {240, 100}
_4hintEdu_3.data.text.TextArea = {stepx, stepy, _4hintEdu_3.data.windowStyle.WinSize[1]-stepx, _4hintEdu_3.data.windowStyle.WinSize[2]-15}
_4hintEdu_3.data.text.Caption = '_4hintEdu_3'
_4hintEdu_3.data.isClickable = 0

_4hintEdu_4 = {}
_4hintEdu_4.data = copy(emptyObj, FirstHint)
_4hintEdu_4.data.windowStyle.WinSize = {245, 100}
_4hintEdu_4.data.text.TextArea = {stepx, stepy, _4hintEdu_4.data.windowStyle.WinSize[1]-stepx, _4hintEdu_4.data.windowStyle.WinSize[2]-15}
_4hintEdu_4.data.text.HRation = 0.87
_4hintEdu_4.data.text.Caption = '_4hintEdu_4'
_4hintEdu_4.data.isClickable = 0

_4hintEdu_7 = {}
_4hintEdu_7.data = copy(emptyObj, FirstHint)
_4hintEdu_7.data.windowStyle.WinSize = {300, 100}
_4hintEdu_7.data.text.TextArea = {stepx-10, stepy, _4hintEdu_7.data.windowStyle.WinSize[1]-stepx+20, _4hintEdu_7.data.windowStyle.WinSize[2]-15}
_4hintEdu_7.data.text.Caption = '_4hintEdu_7'
_4hintEdu_7.data.isClickable = 0
HintList = 
{
	'_4hintEdu_2',
	'_4hintEdu_3',
	'_4hintEdu_4',
	'_4hintEdu_7',
}

for k, v in pairs(HintList)
do
	item = _G[v]
	if item.data.isClickable ~= nil and item.data.isClickable == 1
	then
		item.data.hyperLink.TextArea = {30, item.data.windowStyle.WinSize[2] - 60, item.data.windowStyle.WinSize[1]-7, item.data.windowStyle.WinSize[2]}
	else
		item.data.hyperLink = nil

	end
end
